﻿using System.Collections.ObjectModel;
using System.ComponentModel;

using VSTalk.Model;

using agsXMPP;

using VSTalk.Tools;

namespace VSTalk.Engine.Core.EntitySession
{
    public interface IRoomContext : INotifyPropertyChanged, IListener
    {
        Jid Bare { get; }

        bool IsActive { get; set; }

        Room Room { get; set; }

        ObservableCollection<IRoomMember> Members { get; }
    }
}