﻿using VSTalk.Engine.Core.Context;
using VSTalk.Model;

namespace VSTalk.Engine.Core.EntitySession
{
    /// <summary>
    /// This model extends <see cref="IModelContext"/> by real-time information. 
    /// </summary>
    public interface ISessionModel
    {
        IClientContext GetClientContext(Client client);
        IInterlocutorContext GetInterlocutorContext(Interlocutor interlocutor);
        IRoomContext GetRoomContext(Room room);
    }
}