using VSTalk.Engine.Core.Disco;

using agsXMPP.Xml.Dom;

namespace VSTalk.Engine.Core.ExtElement
{
    public class XamlBody : Element
    {
        public const string TAG = "xaml";
        private const string CONTENT_ATTR = "content";

        public XamlBody()
        {
            TagName = TAG;
            Namespace = ExtUri.XAML;
        }

        public string Content
        {
            get { return GetTag(CONTENT_ATTR); }
            set { SetTag(CONTENT_ATTR, value); }
        }
    }
}