using System.Collections.ObjectModel;

namespace VSTalk.Engine.Core.Notifications
{
    public interface INotificationQueue
    {
        ObservableCollection<INotificationMessage> Messages { get; }

        void Remove(INotificationMessage notification);
        void PushToFront(INotificationMessage message);
        void PushBack(INotificationMessage message);
    }
}