﻿using VSTalk.Model;

using agsXMPP;

namespace VSTalk.Engine.Core.XmppUtils
{
    public static class XmppIdConverter
    {
        public static Jid Jid(Room room)
        {
            return new Jid(room.Name, room.Server, null);
        }

        public static Jid Jid(Interlocutor interlocutor)
        {
            return new Jid(interlocutor.User, interlocutor.Server, null);
        }

        public static Jid Jid(Client client)
        {
            return new Jid(client.Login, client.Server, null);
        }
    }
}