﻿using System.Collections.ObjectModel;
using System.Runtime.Serialization;

namespace VSTalk.Model
{
    [DataContract]
    public class Account
    {
        private ObservableCollection<Client> _xmppClients;

        [DataMember]
        public ObservableCollection<Client> XmppClients
        {
            get { return _xmppClients; }
            set { _xmppClients = value; }
        }

        public Account()
        {
            _xmppClients = new ObservableCollection<Client>();
        }
    }
}