﻿using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace VSTalk.Tools
{
    internal class Prologue : IPrologue, IEnumerable<IListenerUnit>
    {
        private readonly IList<IListenerUnit> _listeners = new List<IListenerUnit>();

        public void Add(IListenerUnit unit)
        {
            _listeners.Add(unit);
        }

        IEnumerator<IListenerUnit> IEnumerable<IListenerUnit>.GetEnumerator()
        {
            return _listeners.GetEnumerator();
        }

        public IEnumerator GetEnumerator()
        {
            return _listeners.GetEnumerator();
        }
    }
}