﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace VSTalk.Engine.Converters
{
    public class RoomStateToColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var isActive = (bool) value;
            return isActive ? Brushes.Black : Brushes.DarkGray;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}