﻿using System.ComponentModel;
using System.Drawing;
using System.Drawing.Imaging;

using VSTalk.Tools;

namespace VSTalk.Engine.Core.EntitySession
{
    public interface IInterlocutorAvatar:INotifyPropertyChanged, IListener
    {
        string Hash { get; set; }
        Image Avatar { get; set; }
        ImageFormat ImageExtension { get; set; }
        string AvatarFileName { get; }
    }
}
