﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

using VSTalk.Model;

using agsXMPP;

using VSTalk.Tools;

namespace VSTalk.Engine.Core.EntitySession
{
    public interface IInterlocutorContext : INotifyPropertyChanged, IListener
    {
        Jid Bare { get; }

        ContactState State { get; }

        ShowType Show { get; }

        Interlocutor Interlocutor { get; }

        IInterlocutorAvatar Avatar { get; }

        ObservableCollection<IInterlocutorResource> Resources { get; }

    }
}