﻿using VSTalk.Model;

namespace VSTalk.Engine.Core.EnvironmentManagers.UI
{
    public interface IWindowManager
    {
        IEnvWindowsManager EnvWindowsManager { get; }
        IHostedControls HostedControls { get; }
        IResourceStore ResourceStore { get; }
        IThemeManager ThemeManager { get; }

        void ShowMainWindow();
        void ShowChatWindow(Interlocutor interlocutor);
        void ShowChatWindow(Room room);
    }
}