﻿using VSTalk.Engine.Core.Event.Transactions;

namespace VSTalk.Engine.Core.Event
{
    public class EventFlowFactory : IEventFlowFactory
    {
        public IEventFlow Create()
        {
            var eventFlow = new EventFlow();
            eventFlow.Setup(new ClientAddedTran());
            eventFlow.Setup(new ClientRemovingTran());
            return eventFlow;
        }
    }
}