using VSTalk.Model;

namespace VSTalk.Engine.Core.XmppConnection
{
    public interface IConnectionManager
    {
        ClientConnection GetOrCreateConnection(Client client);

        void Connect(Client client);
        void Disconnect(Client client);
        void ConnectClients();
        void DisconnectClients();
    }
}