using System;
using System.Linq;

using VSTalk.Engine.Core.XmppUtils;
using VSTalk.Model;

using agsXMPP;

namespace VSTalk.Engine.Core.XmppConnection.RosterObserver
{
    public class RosterContainer : IRosterContainer
    {
        private readonly Client _client;

        public RosterContainer(Client client)
        {
            _client = client;
        }

        public bool Contains(Jid id)
        {
            return _client.Contacts.Any(contact => string.Equals(XmppIdConverter.Jid(contact), id.Bare, StringComparison.InvariantCultureIgnoreCase));
        }
    }
}