﻿using System.ComponentModel;
using System.Diagnostics.Eventing.Reader;
using VSTalk.Engine.Core.EntitySession;
using VSTalk.Model;
using VSTalk.Tools;

namespace VSTalk.Engine.ViewModel.ContactList.ClientResources
{
    class InterlocutorResourceItemViewModel:INotifyPropertyChanged
    {
        public IInterlocutorResource ResourceItem { get; set; }

        public ContactState ResourceState {
            get { return ResourceItem.State; }
        }

        public InterlocutorResourceItemViewModel(IInterlocutorResource resource)
        {
            ResourceItem = resource;
        }
        
        public string ResourceName
        {
            get { return ResourceItem.Jid.Resource; }
        }

        
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
