﻿using System.Collections.Generic;
using System.Linq;

namespace VSTalk.Tools
{
    public static class EnumerableExtension
    {
        public static IEnumerable<T> Exclude<T>(this IEnumerable<T> items, IEnumerable<T> exclude)
        {
            foreach (var item in items)
            {
                if (!exclude.Contains(item))
                {
                    yield return item;
                }
            }
        }
    }
}