﻿namespace VSTalk.Tools
{
    /// <summary>
    /// Helps to unsubscribe from events
    /// <see cref="NotificationExtensions.SubscribeToChange{T}(T,System.Linq.Expressions.Expression{System.Func{object}},VSTalk.Tools.NotificationExtensions.PropertyChangedHandler{T})"/>
    /// <see cref="ObservableCollectionExtension"/>
    /// </summary>
    public interface IListenerUnit
    {
        /// <summary>
        /// Removes subscription 
        /// </summary>
        void Stop();
    }
}